Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Interface CompiledExpression

All Known Implementing Classes:
  JXPathCompiledExpression

public interface CompiledExpression

Represents a compiled XPath. The interpretation of compiled XPaths may be faster, because it bypasses the compilation step. The reference implementation of JXPathContext also globally caches some of the results of compilation, so the direct use of JXPathContext is not always less efficient than the use of CompiledExpression.

Use CompiledExpression only when there is a need to evaluate the same expression multiple times and the CompiledExpression can be conveniently cached.

To acqure a CompiledExpression, call `JXPathContext.compile`

Version:
  $Revision: 1.4 $ $Date: 2003/03/11 00:59:11 $
Author:
  Dmitri Plotnikov

Method Summary
`Pointer` | `createPath(JXPathContext context)` Creates intermediate elements of the path by invoking an AbstractFactory, which should first be installed on the context by calling "setFactory".
`Pointer` | `createPathAndSetValue(JXPathContext context, java.lang.Object value)` The same as setValue, except it creates intermediate elements of the path by invoking an AbstractFactory, which should first be installed on the context by calling "setFactory".
`Pointer` | `getPointer(JXPathContext context, java.lang.String xpath)` Traverses the xpath and returns a Pointer.
`java.lang.Object` | `getValue(JXPathContext context)` Evaluates the xpath and returns the resulting object.
`java.lang.Object` | `getValue(JXPathContext context, java.lang.Class requiredType)` Evaluates the xpath, converts the result to the specified class and returns the resulting object.
`java.util.Iterator` | `iterate(JXPathContext context)` Traverses the xpath and returns a Iterator of all results found for the path.
`java.util.Iterator` | `iteratePointers(JXPathContext context)` Traverses the xpath and returns an Iterator of Pointers.
`void` | `removeAll(JXPathContext context)` Remove all graph elements described by this expression
`void` | `removePath(JXPathContext context)` Remove the graph element described by this expression
`void` | `setValue(JXPathContext context, java.lang.Object value)` Modifies the value of the property described by the supplied xpath.

Method Detail

### getValue

    public java.lang.Object getValue(JXPathContext context)

  Evaluates the xpath and returns the resulting object. Primitive types are wrapped into objects.

### getValue

    public java.lang.Object getValue(JXPathContext context,
                                     java.lang.Class requiredType)

  Evaluates the xpath, converts the result to the specified class and returns the resulting object.

### setValue

    public void setValue(JXPathContext context,
                         java.lang.Object value)

  Modifies the value of the property described by the supplied xpath. Will throw an exception if one of the following conditions occurs:
  - The xpath does not in fact describe an existing property
  - The property is not writable (no public, non-static set method)

### createPath

    public Pointer createPath(JXPathContext context)

  Creates intermediate elements of the path by invoking an AbstractFactory, which should first be installed on the context by calling "setFactory".

### createPathAndSetValue

    public Pointer createPathAndSetValue(JXPathContext context,
                                         java.lang.Object value)

  The same as setValue, except it creates intermediate elements of the path by invoking an AbstractFactory, which should first be installed on the context by calling "setFactory".

  Will throw an exception if one of the following conditions occurs:

  - Elements of the xpath aleady exist, by the path does not in fact describe an existing property
  - The AbstractFactory fails to create an instance for an intermediate element.
  - The property is not writable (no public, non-static set method)

### iterate

    public java.util.Iterator iterate(JXPathContext context)

  Traverses the xpath and returns a Iterator of all results found for the path. If the xpath matches no properties in the graph, the Iterator will not be null.

### getPointer

    public Pointer getPointer(JXPathContext context,
                              java.lang.String xpath)

  Traverses the xpath and returns a Pointer. A Pointer provides easy access to a property. If the xpath matches no properties in the graph, the pointer will be null.

### iteratePointers

    public java.util.Iterator iteratePointers(JXPathContext context)

  Traverses the xpath and returns an Iterator of Pointers. A Pointer provides easy access to a property. If the xpath matches no properties in the graph, the Iterator be empty, but not null.

### removePath

    public void removePath(JXPathContext context)

  Remove the graph element described by this expression

### removeAll

    public void removeAll(JXPathContext context)

  Remove all graph elements described by this expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.